{: test a compilation error occurs for a bad tag type declaration in a variant record }

{$d+}
program e019( output );

var
   i : integer;
   r : record
          case t : bolean of
            true : (ma, mb : array[1..10] of real);
            false: (mx     : array[1..10] of real);
       end;
begin {e019}

   for i := 1 to 10 do r.ma[i] := i+9;
   r.mb := r.ma;  {OK}

   writeln( 'fails: type declaration error not detected' );

end. {e019}

